Subject: Re: bug#8667: 24.0.50; `bounds-of-thing-at-point' returns (N . N) for `comment'
From: Stefan Monnier <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 May 2011 23:12:40 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> No, I don't think you did.  I just downloaded the latest thingatpt.el.
> There is no fix AFAICT.

From which branch?

> You need to add these conditions to the tests:

> (and beg real-end (<= beg orig) (<= orig real-end)
>                   (/= beg real-end) ; <===== NEEDED
>                   (cons beg real-end))
> ...

> (and real-beg end (<= real-beg orig) (<= orig end)
>                   (/= real-beg end) ; <===== NEEDED
>                   (cons real-beg end))

The code you show here is not on the trunk any more (e.g. I removed the
non-null test of real-beg and end because they were redundant).

        Stefan